# Poco

# class DataURIStreamIOS

Library: Foundation
Package: Streams
Header: Poco/DataURIStream.h

## Description

The base class for DataURIStream.

This class is needed to ensure the correct initialization order of the stream buffer and base classes.

## Inheritance

Direct Base Classes: std::ios

All Base Classes: std::ios

Known Derived Classes: DataURIStream

## Member Summary

Member Functions: rdbuf

## Constructors

### DataURIStreamIOS

DataURIStreamIOS(
const URI & uri
);

## Destructor

### ~DataURIStreamIOS

~DataURIStreamIOS();

## Member Functions

### rdbuf

std::streambuf * rdbuf();

## Variables

### _buf

std::streambuf * _buf;